# Interface Utxo

#### Hierarchy

- Utxo

- Defined in types.ts:13

#####
Index

### Properties

amountSatoshis
prevScriptPubKey
prevTxId
prevTxOutPoint

### Methods

toTxIn

## Properties

### `Readonly` amountSatoshis

amountSatoshis: number

- Defined in types.ts:18

### `Readonly` prevScriptPubKey

prevScriptPubKey: Uint8Array

- Defined in types.ts:17

### `Readonly` prevTxId

prevTxId: Uint8Array

- Defined in types.ts:15

### `Readonly` prevTxOutPoint

prevTxOutPoint: number

- Defined in types.ts:16

## Methods

### toTxIn

- toTxIn(sequenceNumber: number, scriptSig?: Script): TxIn

- #### Parameters

  - ##### sequenceNumber: number

  - ##### `Optional` scriptSig: Script

  #### Returns TxIn

  - Defined in types.ts:21

Generated using TypeDoc